Last Comment Bug 718359 - configure.in: remove useless SANITY_CHECKING_FEATURE and XCB_SURFACE_FEATURE
: configure.in: remove useless SANITY_CHECKING_FEATURE and XCB_SURFACE_FEATURE
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: mozilla13
Assigned To: Mark Capella [:capella]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 513702
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-15 20:04 PST by Serge Gautherie (:sgautherie)
Modified: 2012-02-26 23:08 PST (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove obsolete variables (1.56 KB, patch)
2012-02-13 06:28 PST, Mark Capella [:capella]
khuey: review+
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-01-15 20:04:40 PST
(Follow-up to bug 513702.)

Afaict, these 2 variables are (now?) unused.

http://mxr.mozilla.org/mozilla-central/search?string=SANITY_CHECKING_FEATURE&case=1&find=%2Fconfigure.in%24
{
/configure.in
    * line 8115 -- SANITY_CHECKING_FEATURE="#define CAIRO_DO_SANITY_CHECKING 1"
    * line 8117 -- SANITY_CHECKING_FEATURE="#undef CAIRO_DO_SANITY_CHECKING"
}
http://mxr.mozilla.org/mozilla-central/search?string=CAIRO_DO_SANITY_CHECKING&case=1&find=%2Fconfigure.in%24
Same result.

http://mxr.mozilla.org/mozilla-central/search?string=XCB_SURFACE_FEATURE&case=1&find=\.in%24
{
/configure.in
    * line 8127 -- AC_SUBST(XCB_SURFACE_FEATURE)
/gfx/cairo/cairo/src/cairo-features.h.in
    * line 72 -- @XCB_SURFACE_FEATURE@
}
Comment 1 Mark Capella [:capella] 2012-02-13 06:28:47 PST
Created attachment 596671 [details] [diff] [review]
Remove obsolete variables
Comment 2 Mark Capella [:capella] 2012-02-13 06:29:54 PST
   Coded, tested / re-built with mozilla-central pull -u ... all seems to work.
Comment 3 Mark Capella [:capella] 2012-02-20 09:00:00 PST
   Ping jmuizelaar for the review? ...
Comment 4 Mark Capella [:capella] 2012-02-23 04:44:24 PST
Serge: we're still waiting on the review ... is there a follow-up plan to move this forward?
Comment 5 Serge Gautherie (:sgautherie) 2012-02-23 06:34:04 PST
(In reply to Mark Capella [:capella] from comment #4)
> Serge: we're still waiting on the review ... is there a follow-up plan to
> move this forward?

I can't do more than f+.
I guessed a reviewer by default: if that doesn't work, you may try differently.
But I already spend too much time trying to get reviews for my own patches :-/
Comment 6 Mozilla RelEng Bot 2012-02-24 09:36:46 PST
Autoland Patchset:
	Patches: 596671
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/pushloghtml?changeset=eac9ccf85315
Try run started, revision eac9ccf85315. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=eac9ccf85315
Comment 7 Mozilla RelEng Bot 2012-02-24 14:02:44 PST
Try run for eac9ccf85315 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=eac9ccf85315
Results (out of 218 total builds):
    success: 180
    warnings: 24
    failure: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-eac9ccf85315
Comment 8 Serge Gautherie (:sgautherie) 2012-02-24 22:24:53 PST
(In reply to Mozilla RelEng Bot from comment #7)
>     failure: 14

You should mark (and comment about) the failures before asking for c-n:

Some are from ignored builds and you shouldn't care about them.
https://tbpl.mozilla.org/?tree=Try&rev=eac9ccf85315&noignore=1

The unignored ones, you should check whether they are (known) random, or (filed) regression.
Running failed builds another time may help, if in doubt.
Comment 9 Mozilla RelEng Bot 2012-02-25 01:52:21 PST
Autoland Patchset:
	Patches: 596671
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/pushloghtml?changeset=0054ee0029bb
Try run started, revision 0054ee0029bb. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=0054ee0029bb
Comment 10 Jonathan Kew (:jfkthame) 2012-02-25 02:04:47 PST
(In reply to Serge Gautherie (:sgautherie) from comment #8)
> (In reply to Mozilla RelEng Bot from comment #7)
> >     failure: 14
> 
> You should mark (and comment about) the failures before asking for c-n:
> 
> Some are from ignored builds and you shouldn't care about them.
> https://tbpl.mozilla.org/?tree=Try&rev=eac9ccf85315&noignore=1
> 
> The unignored ones, you should check whether they are (known) random, or
> (filed) regression.
> Running failed builds another time may help, if in doubt.

That actually looks like a pretty clean tryserver run; I don't see any reason this shouldn't land.
Comment 11 Mark Capella [:capella] 2012-02-25 02:10:08 PST
Not sure why extra message show up with ignore=1 option, all seem to involve jetpack ... results from   https://tbpl.mozilla.org/?tree=Try&rev=eac9ccf85315 only show a few warnings that didnt seem to involve my changes.

I posted another TRY in either case.
Comment 12 Mozilla RelEng Bot 2012-02-25 05:46:08 PST
Try run for 0054ee0029bb is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0054ee0029bb
Results (out of 220 total builds):
    exception: 6
    success: 175
    warnings: 25
    failure: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-0054ee0029bb
Comment 13 Mark Capella [:capella] 2012-02-25 06:07:54 PST
With comment #10 and re-review of warnings in https://tbpl.mozilla.org/?tree=Try&rev=0054ee0029bb I'm again asking for check-in.
Comment 14 Serge Gautherie (:sgautherie) 2012-02-25 06:29:52 PST
(In reply to Mark Capella [:capella] from comment #11)

> Not sure why extra message show up with ignore=1 option

These builds are "hidden" by default, until they are fixed.
Comment 16 Phil Ringnalda (:philor) 2012-02-26 16:24:33 PST
https://hg.mozilla.org/mozilla-central/rev/5dd8529c9346
Comment 17 Serge Gautherie (:sgautherie) 2012-02-26 23:08:40 PST
V.Fixed, per MXR.

Note You need to log in before you can comment on or make changes to this bug.